import 'piral/polyfills';
import { renderInstance } from 'piral';
import { layout, errors } from './layout';

import ApiAuthorizationRoutes from './components/api-authorization/ApiAuthorizationRoutes';
import { LoginMenu } from './components/api-authorization/LoginMenu';
import * as React from 'react';
import FetchData from './components/FetchData';

const feedUrl = 'https://feed.piral.cloud/api/v1/pilet/dante-feed';

const { root } = renderInstance({
  layout,
  errors,
  requestPilets() {
    return fetch(feedUrl)
      .then(res => res.json())
      .then(res => res.items);
  },
});

for (const { path, component } of ApiAuthorizationRoutes) {
  root.registerPage(path, component);
}

root.registerPage('/fetch-data', FetchData);
